module OW_taper
!--------------------------------------------------
! Compute vref
!

use OW_type
use OW_parms

implicit none

contains

subroutine owtaper(tapertr,taper)

integer				:: tapertr,i
real				:: taper(:)
real,allocatable		:: t(:)

allocate(t(tapertr))
taper=1.;t=0

do i=1,tapertr
   taper(i)=(1+cos(pi*(tapertr-i+1)/tapertr))/2
   taper(size(taper)-i+1)=taper(i)
end do
!write(0,*) taper
end subroutine owtaper

end module
